<form method="POST" id="string_form" class="card-content">

    <div class="card-header">
        <button type="submit" name="string_filters_save" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/floppy-disk-solid.svg') }}" />
        </button>
        <!-- TO VERIFY -->
        <label class="card-title"
                {% if user_records.strings.active == 0 %}
                    for="string_filters_input"
                {% else %}
                    for="string_input"
                {% endif %}>String Filters</label>
        <!-- --------- -->
        <button type="submit" name="string_filters_help" class="btn-unstyled record-btn wip" title="Tutorial is currently WIP for this widget">
            <img src="{{ url_for('static', filename='img/circle-question-solid.svg') }}" />
        </button>
    </div>

    <!-- Faire une structure avec des rows via une boucle for, user_records.strings étant une list contenant des StringFilter -->
    <!-- Mettre un bouton pour ajouter une nouvelle ligne à la fin -->
    <!-- Pour chaque ligne mettre un bouton avant l'input pour exclure (NOT, comme traits) -->
    <!-- Pour chaque ligne mettre un bouton après l'input pour combiner (AND, un peu comme les NOT des traits) -->

    <div class="card-btn-row card-btn-seg10">
        <button type="submit" name="string_filter_add"
                class="btn-unstyled card-btn card-btn-mini card-btn-sub50">
            Add filter
        </button>
        <button type="submit" name="string_filter_remove"
                class="btn-unstyled card-btn card-btn-mini card-btn-sub50">
            Remove filter
        </button>
    </div>

    <div class="card-btn-row card-btn-seg10"
        {% if user_records.strings.content.__len__() == 1 %}style="justify-content: center;"
        {% elif user_records.strings.content.__len__() == 2 %}style="justify-content: space-around;"
        {% endif %}>
        {% for string_filter in user_records.strings.content %}
            <button type="submit" name="string_filter_select_index" value="{{ string_filter.index }}"
                    class="btn-unstyled card-btn card-btn-mini card-btn-sub10
                        {% if user_records.strings.active == string_filter.index %} card-btn-active{% endif %}">
                {{ string_filter.index }}
            </button>
        {% endfor %}
    </div>

    <!-- quand aucun index sélectionné, afficher la construction globale de string_filters dans un input text -->

    <!-- string_filter full -->
    <div class="card-btn-row card-btn-seg20">
        {% if user_records.strings.active != 0 %}
            <input type="text" id="string_input" class="card-input card-input-mini card-input-mini-left" name="string_input" placeholder="String to add" onfocus="this.select()">
            <button type="submit" name="add_string_to_filter" value="{{ user_records.strings.active }}"
                    class="btn-unstyled card-btn card-btn-mini card-btn-sub20 card-btn-trigger"
                    style="height:25px; width: 25px; margin-top: auto; margin-bottom: auto;"> <!-- margin-left: 2px; -->
                +
            </button>
        {% endif %}
    </div>

    <!-- string_filter new entry -->
    <div class="card-btn-row card-btn-seg20">
        {% if user_records.strings.active == 0 %}
            <input type="text" id="string_filters_input" class="card-input" name="string_filters_input" placeholder="String filters" onfocus="this.select()" value="{{ user_records.strings._get_value() }}">
        {% else %}
            <button type="submit" name="string_filter_exclude"
                    class="btn-unstyled card-btn card-btn-mini card-btn-sub30
                        {% if user_records.strings.active > 0 and user_records.strings.content[user_records.strings.active - 1].pattern == '-' %} card-btn-active{% endif %}">
                NOT
            </button>
            <input type="text" id="string_input" class="card-input card-input-mini card-input-mini-right" name="string_filter_input" placeholder="Active filter" onfocus="this.select()" value="{{ user_records.strings.content[user_records.strings.active - 1]._get_value() }}">
        {% endif %}
    </div>

</form>



<!-- ---------- NOTES ----------

String Filters
- Keyword editorIDs  (eg. ActorTypeNPC)
- Actorbase names (eg. Balgruuf)
- Actorbase editorIDs (eg. BalgruufTheGreater) 
Multiple strings should be separated using a comma.  All keyword strings, names and editorIDs (vanilla and modded) are supported.

ActorTypeNPC,-Nazeem
;this will add 3000 gold to everyone except Nazeem
Item = 0xF~Skyrim.esm|ActorTypeNPC,-Nazeem|NONE|NONE|NONE|3000

;this will add Unrelenting Force to all NPCs that are vampire ghosts
Shout = 0x13E07~Skyrim.esm|ActorTypeGhost+Vampire

;this will add a custom keyword, ActorTypePoor to Brenuin
Keyword = ActorTypePoor|Brenuin -->
